com.versionone.apiclient.interfaces

## Interface IV1Configuration

- All Known Implementing Classes:
    V1Configuration

      public interface IV1Configuration

  Interface to access to VersionOne server configuration

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IV1Configuration.TrackingLevel` Enumeration of tracking levels

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IV1Configuration.TrackingLevel` | `getDefectTrackingLevel()` Gets level of Defect tracking.
    `int` | `getMaxAttachmentSize()` Gets maximum size of attachment file.
    `IV1Configuration.TrackingLevel` | `getStoryTrackingLevel()` Gets level of Story tracking.
    `boolean` | `isEffortTracking()` Gets EffortTracking

- - ### Method Detail

    - #### isEffortTracking

          boolean isEffortTracking()
                            throws ConnectionException,
                                   APIException

      Gets EffortTracking
      Returns:
        `true` if EffortTracking is enabled, `false` - otherwise.
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

    - #### getStoryTrackingLevel

          IV1Configuration.TrackingLevel getStoryTrackingLevel()
                                                        throws ConnectionException,
                                                               APIException

      Gets level of Story tracking.
      Returns:
        Story tracking level
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

    - #### getDefectTrackingLevel

          IV1Configuration.TrackingLevel getDefectTrackingLevel()
                                                         throws ConnectionException,
                                                                APIException

      Gets level of Defect tracking.
      Returns:
        Defect tracking level
      Throws:
        `APIException` - if any problems occur with reading settings
        `ConnectionException` - if any connection problems occur

    - #### getMaxAttachmentSize

          int getMaxAttachmentSize()
                            throws ConnectionException,
                                   APIException

      Gets maximum size of attachment file.
      Returns:
        maximum size
      Throws:
        `APIException` - if any problems occur with building XML document
        `ConnectionException` - if any connection problems occur

Copyright © 2016 VersionOne, Inc.. All rights reserved.